#ifndef LIP_OPCUA_SERVER_TREE_STD_DATATYPES_DESCR_H
#define LIP_OPCUA_SERVER_TREE_STD_DATATYPES_DESCR_H

struct st_lip_opcua_datatype_descr;

extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_datadescr_any;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_datadescr_arr;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_datadescr_arr_anydim;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_datadescr_arr_2dim;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_datadescr_arr_3dim;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_bool;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_bool_any;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_number;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_number_any;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_uinteger_any;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_int32;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_int32_arr;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_int64;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_byte;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_uint32;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_uint32_arr;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_float;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_double;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_double_arr;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_utc_time;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_str;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_str_arr;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_localized_text;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_localized_text_arr;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_version_time;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_nodeid;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_enum_value_arr;

extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_xv_arr;

extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_server_state;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_server_status;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_build_info;

extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_eu_info;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_range;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_axis_scale;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_axis_info;
extern const struct st_lip_opcua_datatype_descr g_lip_opcua_tree_std_data_descr_axis_info_arr;

#endif // LIP_OPCUA_SERVER_TREE_STD_DATATYPES_DESCR_H
